import time

# 配置装饰器跟踪函数执行，在函数执行前后添加时间计算，并打印每个函数的执行时间
def track_performance(func):
    def wrapper(*args, **kwargs):
        start_time = time.time()
        result = func(*args, **kwargs)
        end_time = time.time()
        print(f"{func.__name__} 执行了 {end_time - start_time:.10f} 秒")
        return result
    return wrapper